<?php
/**
* Online shop.
*
* @package HostCMS
* @version 6.x
* @author Hostmake LLC
* @copyright © 2005-2017 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
*/
require_once('../../../bootstrap.php');
Core_Auth::authorization($sModule = 'deliverystickers');

$oAdmin_Form_Controller = Admin_Form_Controller::create()->formSettings();
$oAdmin_Form_Entity_Form = Admin_Form_Entity::factory('Form')
	->controller($oAdmin_Form_Controller);

$oAdmin_Form_Entity_Breadcrumbs = Admin_Form_Entity::factory('Breadcrumbs');

// Контроллер формы
$oAdmin_Form_Controller
	->module(Core_Module::factory($sModule))
	->setUp()
	->path('/admin/deliverystickers/courier/index.php');

// Первая крошка на список магазинов
$oAdmin_Form_Entity_Breadcrumbs->add(
Admin_Form_Entity::factory('Breadcrumb')
	->name('Формирование этикеток')
	->href($oAdmin_Form_Controller->getAdminLoadHref(
		'/admin/deliverystickers/index.php'
	))
	->onclick($oAdmin_Form_Controller->getAdminLoadAjax(
		'/admin/deliverystickers/index.php'
	))
);

// Крошка на текущую форму
$oAdmin_Form_Entity_Breadcrumbs->add(
Admin_Form_Entity::factory('Breadcrumb')
	->name('Вызов курьера')
	->href($oAdmin_Form_Controller->getAdminLoadHref(
		$oAdmin_Form_Controller->getPath()
	))
	->onclick($oAdmin_Form_Controller->getAdminLoadAjax(
		$oAdmin_Form_Controller->getPath()
	))
);

$oAdmin_View = Admin_View::create()
	->module(Core_Module::factory($sModule))
	->pageTitle('Вызов курьера')
	->addChild($oAdmin_Form_Entity_Breadcrumbs);

// Создаем экземпляры классов
$oAdmin_Form_Entity_Form
	->add(
		Admin_Form_Entity::factory('Tab')
			->name('main')
			->add(
				Admin_Form_Entity::factory('Div')->class('row')
					->add(
						Admin_Form_Entity::factory('Input')
							->divAttr(array('class' => 'form-group col-xs-12 col-md-6 col-lg-6'))
							->type('text')
							->name('contact_name')
							->caption('Контактное лицо')
						)
			)
			->add(
				Admin_Form_Entity::factory('Div')->class('row')
					->add(
						Admin_Form_Entity::factory('Input')
							->divAttr(array('class' => 'form-group col-xs-12 col-md-6 col-lg-6'))
							->type('text')
							->name('contact_phone')
							->caption('Номер телефона')
						)
			)
	)
	->add(
		Admin_Form_Entity::factory('Button')
			->name('call_courier')
			->type('submit')
			->class('applyButton btn btn-blue')
			->value('Вызвать')
			->onclick($oAdmin_Form_Controller->getAdminSendForm(NULL, 'call_courier'))
			->controller($oAdmin_Form_Controller)
	);

ob_start();

if ($oAdmin_Form_Controller->getOperation() == 'call_courier')
{
	try
	{
		if (Core_Array::getPost('contact_name') && Core_Array::getPost('contact_phone'))
		{
			// Выполняем вызов курьера через API
			$oDeliverystickersCourierController = new Deliverystickers_Courier_Controller;
			$oDeliverystickersCourierController
				->call(array(
					'name' => Core_Array::getPost('contact_name'),
					'phone' => Core_Array::getPost('contact_phone')
				));

			Core_Message::show('Заявка на вызов курьера успешно отправлена.');
		}
		else
		{
			Core_Message::show('Необходимо указать контактное лицо и номер телефона.', 'error');			
		}
	}
	catch (Exception $e)
	{
		Core_Message::show('Не удалось отправить заявку на вызов курьера.', 'error');
		Core_Message::show('Вызов курьера должен быть в интервале с 9 до 18. Для Московской области вызов курьера на текущий день должен создаваться до 10:30 (диапазон вызова с 9-18 или 10-30 до 18). Для остальных регионов вызов на текущий день должен быть создан до 14:00. Интервал вызова должен быть не менее 4 часов. Структура запроса', 'error');
		Core_Message::show($e->getMessage(), 'error');
	}
}

$oAdmin_Form_Entity_Form->execute();
$content = ob_get_clean();

ob_start();
$oAdmin_View
	->content($content)
	->show();

Core_Skin::instance()
	->answer()
	->ajax(Core_Array::getRequest('_', FALSE))
	->content(ob_get_clean())
	->title('Вызов курьера')
	->execute();