<?php

defined('HOSTCMS') || exit('HostCMS: access denied.');

class Deliverystickers_Controller
{
	protected $_Shop_Orders;
	protected $_Config;
	protected $_partial;

	public function __construct(array $aoShopOrders)
	{
		if (!count($aoShopOrders))
		{
			throw new \Core_Exception('Для формирования этикеток необходимо выбрать хотя бы один заказ.');
		}

		$this->_Shop_Orders = $aoShopOrders;
		$this->_partial = FALSE;

		$this->_Config = Core_Config::instance()->get('deliverystickers_config', array());
	}

	public function isPartial()
	{
		return $this->_partial;
	}

	public function create()
	{
		if (!isset($this->_Config['range']) || !is_array($this->_Config) || !count($this->_Config))
		{
			throw new Core_Exception('Необходимо обязательно указать диапазон возможных значений.');
		}

		$oDeliverystickersFile = DeliveryStickers_File::factory('pdf');

		foreach ($this->_Shop_Orders as $index => $oShopOrder)
		{
			// Генерируем уникальный номер для заказа
			$oDeliverystickersParcelFactory = new Deliverystickers_Parcel_Factory($this->_Config['range']);
			$oDeliverystickersBarcode = $oDeliverystickersParcelFactory->create();

			if (!$oDeliverystickersBarcode)
			{
				// Если нет номера для первого заказа, то бросаем исключение, иначе генерируем файл для части заказов
				if (!$index)
				{
					throw new Core_Exception('Невозможно сформировать этикетки, так как заданный диапазон исчерпан.');
				}

				$this->_partial = TRUE;
				break;
			}

			$oDeliverystickersBarcode->add($oShopOrder);
			$oDeliverystickersBarcode->save();

			$oDeliverystickersFile->write(/*$this->_toArray(*/$oShopOrder/*)*/, $oDeliverystickersBarcode);
		}

		// Сохраняем файл
		$filePath = $oDeliverystickersFile->save();

		// Возвращаем путь для скачивания файла с этикетками
		return str_replace(CMS_FOLDER, '', $filePath);
	}
}