<?php

defined('HOSTCMS') || exit('HostCMS: access denied.');

class Deliverystickers_Parcel_Factory
{
	protected $_Range;

	public function __construct(array $aRange)
	{
		$this->_Range = $aRange;
	}

	public function create()
	{
		// Находим использованный номер
		$oCoreQueryBuidler = Core_QueryBuilder::select()
			->select(Core_QueryBuilder::expression('MAX(deliverystickers_parcels.code) AS max_code'))
			->from('deliverystickers_parcels');

		$aResponse = $oCoreQueryBuidler->execute()->asAssoc()->current(FALSE);

		// Определеяем следующий номер по порядку
		$nextCode = $aResponse['max_code']
			? ((double) $aResponse['max_code']) + 1
			: $this->_Range[0];

		// Если следущий номер выходит за рамки выданного диапазона
		if ($nextCode > $this->_Range[1])
		{
			return NULL;
		}

		// Создаем штрих-код
		$oDeliverystickersParcel = Core_Entity::factory('Deliverystickers_Parcel');
		$oDeliverystickersParcel->code = $nextCode;
		$oDeliverystickersParcel->datetime = Core_Date::timestamp2sql(time());
		$oDeliverystickersParcel->save();

		return $oDeliverystickersParcel;
	}
}