<?php

defined('HOSTCMS') || exit('HostCMS: access denied.');

class Deliverystickers_Parcel_Model extends Core_Entity
{
	protected $_belongsTo = array(
		'shop_order' => array()
	);

	public function getBarcode()
	{
		// Дополняем до 9 символов
		$code = str_pad($this->code, 9, 0, STR_PAD_LEFT);

		// Дописываем вначале 20
		$code = '20' . $code;

		// Считаем контрольную сумму
		$code .= $this->_getChecksum($code);

		return $code;
	}

	/**
	 * Считаем контрольную сумму для кода.
	 */
	protected function _getChecksum($code)
	{
		$len = strlen($code);

		// Считаем сумму цифр на четных позициях
		$sum = 0;
		for ($i = 0; $i < $len; $i += 2)
		{
			$sum += $code[$i];
		}

		// Умножаем на 3
		$sum *= 3;

		// Прибавляем сумму цифр на нечетных позициях
		for ($i = 1; $i < $len; $i += 2)
		{
			$sum += ($code[$i]);
		}

		// Находим дополнение до 10
		$r = $sum % 10;
		if ($r > 0)
		{
			$r = (10 - $r);
		}

		return $r;
	}
}