<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:hostcms="http://www.hostcms.ru/"
	exclude-result-prefixes="hostcms">
	
	<xsl:output xmlns="http://www.w3.org/TR/xhtml1/strict" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" encoding="utf-8" indent="yes" method="html" omit-xml-declaration="no" version="1.0" media-type="text/xml"/>
	
	<xsl:template match="/shop">
		<!-- <!DOCTYPE html> -->
		<html>
			<head>
				<meta charset="utf-8" />
				
				<title></title>
			</head>
			<body>
				<style>
					.shop-orders { width: 100%; border-spacing: 0; border-collapse: collapse; }
					.shop-orders__row {}
					.shop-orders__cell {
					vertical-align: top;
					padding: 20px;
					border: 1px dashed #000000;
					width: 50%;
					}
					.shop-orders__cell_barcode { padding-left: 60px; }
					.shop-orders__cell_items { vertical-align: middle; }
					
					.shop-order-items { width: 100%; }
					.shop-order-items__row {}
					.shop-order-items__name {}
					.shop-order-items__quantity { text-align: right; }
					
					.shop-order {}
					.shop-order__name, .shop-order__number, .shop-order__phone { font-size: 12px; }
					.shop-order__departure { font-size: 16px; }
					.shop-order__barcode-image { }
					.shop-order__barcode { text-align: center; letter-spacing: 6px; font-size: 16px; }
					
					.shop-order__point {}
					.shop-order__point-head { font-size: 24px; }
					.shop-order__point-tail { font-size: 50px; }
					
					.shop-order-info {}
					.shop-order-info__row { width: 173px; margin-bottom: 10px; }
					.shop-order-info__row_name { margin-bottom: 10px; }
				</style>
				
				<table class="shop-orders">
					<tbody>
						<xsl:apply-templates select="shop_order" />
					</tbody>
				</table>
			</body>
		</html>
	</xsl:template>
	
	<xsl:template match="shop_order">
		<tr class="shop-orders__row shop-order">
			<td class="shop-orders__cell shop-orders__cell_barcode">
				<table class="shop-order-info">
					<tbody>
						<tr class="shop-order-info__row">
							<td class="shop-order__point">
								<xsl:variable name="point_number" select="property_value[tag_name = 'point_number']/value" />
								
								<strong>
									<span class="shop-order__point-head">
										<xsl:value-of select="substring($point_number, 1, 3)" />&#160;
									</span>
									
									<span class="shop-order__point-tail">
										<xsl:value-of select="substring($point_number, 4)" />
									</span>
								</strong>
							</td>
						</tr>
						
						<tr class="shop-order-info__row">
							<td class="shop-order__title">
								<xsl:text>MULSAN cosmetic</xsl:text>
							</td>
						</tr>
						
						<tr class="shop-order-info__row">
							<td class="shop-order__departure">
								<xsl:variable name="departure_number" select="property_value[tag_name = 'departure_number']/value" />
								<strong>
									<xsl:choose>
										<xsl:when test="$departure_number != ''">
											<xsl:value-of select="$departure_number" />
										</xsl:when>
										<xsl:otherwise>
											<xsl:text>----</xsl:text>
										</xsl:otherwise>
									</xsl:choose>
								</strong>
							</td>
						</tr>
						
						<tr class="shop-order-info__row">
							<td class="shop-order__number">
								<span>
									<xsl:value-of select="invoice" />
								</span>
							</td>
						</tr>
						
						<tr class="shop-order-info__row shop-order-info__row_name">
							<td class="shop-order__name">
								<xsl:variable name="fullname" select="normalize-space(concat(surname, ' ', name, ' ', patronymic))" />
								
								<span>
									<xsl:choose>
										<xsl:when test="$fullname != ''">
											<xsl:value-of select="$fullname" />
										</xsl:when>
										<xsl:otherwise>
											<xsl:text>----</xsl:text>
										</xsl:otherwise>
									</xsl:choose>
								</span>
							</td>
						</tr>
						
						<tr class="shop-order-info__row shop-order-info__row_phone">
							<td class="shop-order__phone">
								<span>
									<xsl:choose>
										<xsl:when test="phone != ''">
											<xsl:value-of select="phone" />
										</xsl:when>
										<xsl:otherwise>
											<xsl:text>----</xsl:text>
										</xsl:otherwise>
									</xsl:choose>
								</span>
								<br />
								<br />
								<br />
							</td>
						</tr>
						
						<tr class="shop-order-info__row">
							<td class="shop-order__barcode-image">
								<img src="{barcode_image}" />
							</td>
						</tr>
						
						<tr class="shop-order-info__row">
							<td class="shop-order__barcode">
								<xsl:value-of select="barcode" />
							</td>
						</tr>
					</tbody>
				</table>
			</td>
			
			<td class="shop-orders__cell shop-orders__cell_items">
				<table class="shop-order-items">
					<tbody>
						<tr class="shop-order-items__row">
							<td class="shop-order-items__name">
								<strong>
									<xsl:value-of select="datetime" />
								</strong>
							</td>
						</tr>
						
						<xsl:choose>
							<xsl:when test="shop_order_item">
								<xsl:apply-templates select="shop_order_item[type = 0 and price > 0]" />
							</xsl:when>
							<xsl:otherwise>
								<tr class="shop-order-items__row">
									<td class="shop-order-items__name">
										Нет товаров.
									</td>
								</tr>
							</xsl:otherwise>
						</xsl:choose>
					</tbody>
				</table>
			</td>
		</tr>
	</xsl:template>
	
	<xsl:template match="shop_order_item">
		<tr class="shop-order-items__row">
			<td class="shop-order-items__name">
				<xsl:value-of select="name" />
			</td>
			<td class="shop-order-items__quantity">
				<xsl:value-of select="quantity" />
			</td>
		</tr>
	</xsl:template>
</xsl:stylesheet>