<?php

defined('HOSTCMS') || exit('HostCMS: access denied.');

/**
 * Действие для конвертации HTML-документа в PDF-файл.
 *
 * @author KAD Systems (©) 2017 
 */
class Pdf_Action_Convert extends Pdf_Action
{
	/**
	 * Свойства.
	 *
	 * @var array
	 */
	protected $_allowedProperties = array(
		'html',
		'outputFile',

		'mode',
		'format',
		'fontSize',
		'font',
	);

	/**
	 * Конструктор.
	 *
	 * @return void
	 */
	public function __construct()
	{
		parent::__construct();

		$this->mode = '';
		$this->format = 'A4';
		$this->fontSize = '10';
		$this->font = 'DejaVuSans';
	}

	/**
	 * Конвертирет HTML-код в PDF-файл.
	 *
	 * @return self
	 */
	protected function _execute()
	{
		// $prevLevel = error_reporting(E_ERROR);

		// $mpdf = new mPDF($this->mode, $this->format, $this->fontSize, $this->font);

		$this->_mpdf;
		$this->_mpdf->showImageErrors = true;
		$this->_mpdf->setDefaultFont($this->font);
		$this->_mpdf->setDefaultFontSize($this->fontSize);

		$this->_mpdf->WriteHTML($this->html);
		$this->_mpdf->Output($this->outputFile, 'F');

		// error_reporting($prevLevel);

		return $this;
	}
}