<?php

defined('HOSTCMS') || exit('HostCMS: access denied.');

/**
 * Действие для модификации существующего PDF-файла.
 *
 * @author KAD Systems (©) 2017 
 */
class Pdf_Action_Modify extends Pdf_Action
{
	/**
	 * Свойства.
	 *
	 * @var array
	 */
	protected $_allowedProperties = array(
		'html',
		'inputFile',
		'outputFile',

		'mode',
		'format',
		'fontSize',
		'font',
	);

	/**
	 * Конструктор.
	 *
	 * @return void
	 */
	public function __construct()
	{
		parent::__construct();
	}

	/**
	 * 
	 *
	 * @return self
	 */
	protected function _execute()
	{
		// $mpdf = new mPDF($this->mode, $this->format, $this->fontSize, $this->font);

		$this->_mpdf;
		$this->_mpdf;
		$this->_mpdf->setDefaultFont($this->font);
		$this->_mpdf->setDefaultFontSize($this->fontSize);

		// Берем за основу входной файл
		$this->_mpdf->SetImportUse();
		$this->_mpdf->SetSourceFile($this->inputFile);

		$templateId = $this->_mpdf->ImportPage(1);
		$size = $this->_mpdf->getTemplateSize($templateId);

		$this->_mpdf->_setPageSize(array($size['w'], $size['h']), $o = 'P');
		$this->_mpdf->AddPage();
		$this->_mpdf->useTemplate($templateId);

		// Внедряем HTML-код
		if ($this->html)
		{
			$this->_mpdf->WriteHTML($this->html);
		}

		// Сохраняем файл
		$this->_mpdf->Output($this->outputFile, 'F');
	}
}